---
name: Theme Developer
about: I am a developer who uses Redux in their theme/plugin.

---

<!--

Hello, and welcome to Redux Framework!  We offer free bug reporting for our software.  Since this service is free, we prefer to do support our way.  This means we are asking you read the entire block of text below first.  Please do not post a few lines of what you think it wrong.  Doing so without the required information below will get your ticket closed without reply.  We're sorry we have to enforce this policy now

PLEASE, BEFORE YOU POST, READ THIS ENTIRE BLOCK OF TEXT!!!  

We require all of the information specified below for support.  If this block of text is ignored or the required information not provided, your ticket with be automatically closed.  NO exceptions.  Thank you.

Are you a user reporting a bug with a theme or plugin?
======================================================
Redux is a tool for developers to include an options panel in their project. Consequently, we do not offer support for folks who have purchased a theme or plugin that uses Redux. The responsibility of support for themes and plugins falls upon it's author. We realize that some authors have included support links for Redux in their projects when they should not have. We do apologize for that confusion and are taking steps to remedy that situtation. 

If you have purchased a theme or plugin that utilizes Redux, please contact the author for support. If the author is unavailable for support or has discontinued support, please refer to this before posting to our issue tracker: https://docs.reduxframework.com/core/support-defined/  If you are unable to get support for the author, we might be able to help you with a premium support purchase (https://reduxframework.com/extension/premium-support).
	
Have a development usage question?
==================================
The issue tracker isn't the best place for usage questions. This format is not well-suited for questions & answers and questions here don't have as much visibility as they do elsewhere. Before you ask a question, here are some resources to get help first:

- Try Redux: https://demo.reduxframework.com/
- Read the docs: https://docs.reduxframework.com/
- Look for/ask questions on StackOverflow: https://stackoverflow.com/questions/tagged/redux-framework
- Ask in our community Slack channel: http://slack.redux.io/
- For Premium support or advanced customizations we offer premium support. See https://reduxframework.com/extension/premium-support/ for more information.

Questions about a Redux extension?
==================================
All pre-sale and support for premium extensions need to be posted to the Redux Extensions Issue Tracker. Please do not post them to this issue tracker. https://github.com/reduxframework/redux-extensions/

Think you found a bug?
======================
Please use the "BUG REPORT" template below. Remember, we are rabid about backwards compatability. Do not submit fixes that break previous ways of doing so or they will be rejected.

Also, unless you provide a Support Hash, your request will also be rejected.  NO exceptions.  If you do not including this information and we close your ticket, please do not ask why. See See https://docs.reduxframework.com/core/generating-a-support-hash/ for more details.

You MUST be using Redux in dev mode when submitting an issue to us. If you are not, or have circumvented our dev mode protocol, you are on your own. There could be information in your issue that requires dev move active (Compressed Javascript, for example. We are unable to diagnose issues with compressed Javascript and why dev mode needs to be enabled).

If an error or notice appears on your screen, please cut and paste it into your issue. PLEASE, do not say you 'got an error' without telling us what the error or notice is.  If you do so, the ticket will be closer without reply.

Before you post, check the JavaScript!
======================================
Sometimes, an issue may be tied to JavaScript. To make this determination, you will need to check the JavaScript console. To do this, ensure your web browser is the topmost window. On your keyboard, press CTRL+SHIFT+I. The JavaScript console will open. If there are notices or errors there, please cut and paste them into your issue. We would prefer a cut and paste, since it will include all pertinent information. Also, Redux dev mode must be enabled so an accurate line number may be reported.

-->

<!-- BUG TEMPLATE -->
## Support Hash
<!-- Instructions:  https://docs.reduxframework.com/core/generating-a-support-hash -->

## Steps to reproduce
<!-- Please list your steps clearly so that we are able to do the same things you do to reproduce the issue.  -->

## Expected Behavior
<!-- What did you expect to happen? -->

## Actual Behavior
<!-- WHat actually happened? -->

## Any Error Details (PHP/JavaScript)
<!-- Please post any PHP error messages, trace logs or JavaScript console error messages here -->
